import React from "react";
import { StyleSheet, Text, View } from "react-native";
import Logo from "./Logo";
import Bitcoin from "./Bitcoin";

/* Page principale de l'application */
export default class App extends React.Component {
  render() {
    return (
      <View style={styles.container}>
        <Text style={styles.titre}>Hello Bitcoin</Text>
        <Logo />
        <Bitcoin />
      </View>
    );
  }
}

/* Styles CSS de mise en forme de l'écran et des composants */
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
  titre: {
    fontSize:40,
    marginBottom:20,  
    color:"#F69319",
    fontWeight: "bold"
  }
});
